From 295b106b74a4df7480d6bfd3ea669d577d650403 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 19 2020 22:57:04 +0000
Subject: [PATCH 1460/2232] Skip ExternType::Kind check if type is known trivial


---

diff --git a/syntax/types.rs b/syntax/types.rs
index 92c9a75..f57b61b 100644
--- a/syntax/types.rs
+++ b/syntax/types.rs
@@ -170,7 +170,10 @@ impl<'a> Types<'a> {
         let mut required_trivial = Map::new();
         let mut insist_alias_types_are_trivial = |ty: &'a Type, reason| {
             if let Type::Ident(ident) = ty {
-                if cxx.contains(&ident.rust) {
+                if cxx.contains(&ident.rust)
+                    && !structs.contains_key(&ident.rust)
+                    && !enums.contains_key(&ident.rust)
+                {
                     required_trivial.entry(&ident.rust).or_insert(reason);
                 }
             }

